PETSc version 3.15.5
Fix/Edit manual page

# TSRosWRegisterRos4

register a fourth order Rosenbrock scheme by providing parameter choices

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWRegisterRos4(TSRosWType name,PetscReal gamma,PetscReal a2,PetscReal a3,PetscReal b3,PetscReal e4)

Not Collective, but the same schemes should be registered on all processes on which they will be used

### Input Parameters

| name | - identifier for method
| gamma | - leading coefficient (diagonal entry)
| a2 | - design parameter, see Table 7.2 of Hairer&Wanner
| a3 | - design parameter or PETSC_DEFAULT to satisfy one of the order five conditions (Eq 7.22)
| b3 | - design parameter, see Table 7.2 of Hairer&Wanner
| beta43 | - design parameter or PETSC_DEFAULT to use Equation 7.21 of Hairer&Wanner
| e4 | - design parameter for embedded method, see coefficient E4 in ros4.f code from Hairer

### Notes

This routine encodes the design of fourth order Rosenbrock methods as described in Hairer and Wanner volume 2. It is used here to implement several methods from the book and can be used to experiment with new methods. It was written this way instead of by copying coefficients in order to provide better than double precision satisfaction of the order conditions.

### See Also

TSRosW, TSRosWRegister()

### Level

developer

### Location

src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages